#include "point.hh"



Point Point::operator=(const Point &p)
{
  if(this == &p)
    return *this;
  x = p.x;
  y = p.y;
  z = p.z;
  return *this;
}



bool Point::operator==(const Point &p)const
{
  if((x == p.x) && (y == p.y) && (z == p.z))
    return true;
  return false;
}



bool Point::operator!=(const Point &p)const
{
  if((x == p.x) && (y == p.y) && (z == p.z))
    return false;
  return true;
}



bool Point::operator<(const Point &p)const
{
  if (x + y + z < p.x + p.y + p.z)
    return true ;

  return false ;
}



bool Point::operator>(const Point &p)const
{
  return p < *this ;
}



ostream &operator<<(ostream &os, const Point &p)
{
  os << "(" << p.x << ";" << p.y << ";" << p.z << ")";
  return os;
}
